option explicit

dim fso
dim WSHShell
dim fileHandle
dim ConfigTemplate
dim instanceName
dim ConfigOut
dim argPair
dim scratchPad
dim counter

randomize

'usage variables.vbs template.ini var=foo otherVar=footoo etc
'open and read in
Set fso = createobject("Scripting.Filesystemobject")
configTemplate = Wscript.Arguments(0)
instanceName = Wscript.Arguments(1)
Set fileHandle = fso.OpenTextFile(".\Configs\" & ConfigTemplate, 1)
scratchPad = fileHandle.ReadAll
fileHandle.close

'subst in the values
For counter=2 To (Wscript.Arguments.count-1)
	argPair=split(Wscript.Arguments(counter),"=")
	scratchPad = replace(scratchPad, argPair(0), argPair(1))
Next

'find a unique name
For counter=1 to 10
	ConfigOut = split(configTemplate, ".")(0) & int(100*rnd) & ".ini"
	if not fso.FileExists(ConfigOut) then exit for
Next

'unique filename found in 10 tries or less
if counter < 11 then
	'open output and put out
	Set fileHandle=fso.CreateTextFile(".\Configs\" & ConfigOut)
	fileHandle.Write scratchPad
	fileHandle.close
	'launch it
	Set WSHShell = Wscript.CreateObject("Wscript.Shell")
	WSHShell.Run "client.exe i=" & instanceName & " c=" & ConfigOut & " reload"
	'wait for it
	Wscript.sleep(5000)
	'assume that it is loaded by now, so delete it
	Set fileHandle=fso.GetFile(".\Configs\" & ConfigOut)
	fileHandle.delete
end if
